#
# spec file for package kdebindings (Version 2.2.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  alsa alsa-devel audiofile autoconf automake compat docbook-dsssl-stylesheets docbook_3 fam gettext glib glib-devel gpp gtk gtk-devel iso_ent jade_dsl java2 kdelibs kdelibs-artsd kdelibs-devel kdenetwork kdenetwork-devel libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libxml2 libz mesa mesa-devel mesasoft mozilla mozilla-devel pcre perl python python-devel qt qt-devel qt-extensions sp sp-devel xf86 xf86glu xf86glu-devel xpm
# usedforbuild    aaa_base aaa_dir alsa alsa-devel audiofile autoconf automake base bash bindutil binutils bison bzip compat compress cpio cpp cracklib cyrus-sasl db devs diffutils docbook-dsssl-stylesheets docbook_3 e2fsprogs fam file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gpm gpp gppshare grep groff gtk gtk-devel gzip iso_ent jade_dsl java2 kbd kdelibs kdelibs-artsd kdelibs-devel kdenetwork kdenetwork-devel less libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libtool libxml2 libz m4 make man mesa mesa-devel mesasoft mktemp modutils mozilla mozilla-devel ncurses ncurses-devel net-tools netcfg pam pam-devel patch pcre perl ps python python-devel qt qt-devel qt-extensions rcs readline rpm sendmail sh-utils shadow sp sp-devel strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

Name:         kdebindings
Copyright:    GPL
Group:        X11/KDE/Base
Summary:      bindings for Python, Java and Perl
Version:      2.2.1
Release:      68
BuildRoot:    /var/tmp/%{name}-buildroot
Source0:      kdebindings-%{version}.tar.bz2
Patch0:       kdebindings-%{version}.dif
Patch1:       python2.dif
Patch3:       mozilla.dif

%description
Bindings for Python, Perl and Java for KDE. You can control KDE with
these languages.

Authors:
--------
    The KDE Team <kde@kde.org>

SuSE series: k2de

%package mozilla
Version:      2.2.1
Release:      59
Summary:      using Mozilla instead of KHTML for WEB browsing
Group:          X11/KDE/Base

%description mozilla
The Mozilla WEB browser can used inside of the Konqueror. Usually the KHTML class
is used to browse the WEB.

Authors:
--------
    The KDE Team <kde@kde.org>

SuSE series: k2de

%prep
%setup
%patch -p 0 -E
%patch3 -p 0 -E
TEST=`grep ^VERSION /etc/SuSE-release | cut "-d " -f 3`
MAJOR=`echo $TEST | cut -d. -f 1`
MINOR=`echo $TEST | cut -d. -f 2 | sed -e "s@[^0-9]@@g"`
VERSION=$(( ${MAJOR}*100 + ${MINOR} ))
if [ "$VERSION" -gt 700 ]; then
%patch1 -p 0 -E
fi

%build
export OPT_LEVEL="-O2"
 
CXXFLAGS="$RPM_OPT_FLAGS $CXXFLAGS -DNDEBUG  $OPT_LEVEL " ./configure \
  --prefix=/opt/kde2 \
  --enable-final \
  --disable-debug \
  --mandir=%{_mandir} \
  --with-qt-dir=/usr/lib/qt2 $FLAGS
make

%install
[ ${RPM_BUILD_ROOT} != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=$RPM_BUILD_ROOT install-strip
TEST=`grep ^VERSION /etc/SuSE-release | cut "-d " -f 3`
MAJOR=`echo $TEST | cut -d. -f 1`
MINOR=`echo $TEST | cut -d. -f 2 | sed -e "s@[^0-9]@@g"`
VERSION=$(( ${MAJOR}*100 + ${MINOR} ))
if [ "$VERSION" -gt 700 ]; then
  ls -1 ${RPM_BUILD_ROOT}/opt/kde2/bin/kmozilla ${RPM_BUILD_ROOT}/opt/kde2/lib/libkmozillapart.* \
    | sed s@^${RPM_BUILD_ROOT}@/@ > ../mozilla.files 
  echo /opt/kde2/lib/java >> ../mozilla.files
  echo /opt/kde2/share/services/kmozilla.desktop >> ../mozilla.files
else
  touch ../mozilla.files
fi

%clean
#[ ${RPM_BUILD_ROOT} != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%files
%doc COPYING README AUTHORS COPYING.LIB ChangeLog NEWS  
%ifnarch ia64
/opt/kde2/bin/dcopidl2java
/opt/kde2/bin/javalib
/opt/kde2/lib/libqtjava.*
%endif
/opt/kde2/bin/shell_xparthost
/opt/kde2/bin/xp_notepad
/opt/kde2/doc/javalib
/opt/kde2/lib/libgtkxparts.*
/opt/kde2/lib/libkdexparts.*
/opt/kde2/lib/libkdejava*
/opt/kde2/lib/libjava*
/opt/kde2/lib/libxp_notepadpart.*
/opt/kde2/lib/libdcopc.*
/opt/kde2/include/*
/opt/kde2/share/services/*

%files mozilla -f ../mozilla.files

%changelog -n kdebindings
* Thu Sep 13 2001 - adrian@suse.de
- fix version number of kdebindings-mozilla package
* Sat Sep 08 2001 - adrian@suse.de
- update to 2.2.1 final
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Mon Aug 06 2001 - adrian@suse.de
- update to 2.2 final
* Fri Jun 29 2001 - adrian@suse.de
- update 2.2beta1
* Sun Apr 08 2001 - adrian@suse.de
- drop -O0 for ppc and alpha
* Fri Mar 30 2001 - ro@suse.de
- neededforbuild fix
* Tue Mar 27 2001 - ro@suse.de
- changed neededforbuild <docbkdsl> to <docbook-dsssl-stylesheets>
* Wed Mar 21 2001 - adrian@suse.de
- fix mozilla build
* Tue Mar 20 2001 - adrian@suse.de
- update to 2.1.1
  fix file list
* Sun Mar 18 2001 - ro@suse.de
- fixed neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- removed second occurence of docbk30 from neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- changed neededforbuild <docbk30> to <docbook_3>
* Mon Mar 12 2001 - schwab@suse.de
- No java on ia64.
- Fix shell syntax in configure script.
- Fix missing include.
* Thu Feb 22 2001 - adrian@suse.de
- update to final 2.1.0
  mozilla support is inside an own subpackage
* Sat Feb 17 2001 - adrian@suse.de
- newer snapshot from KDE_2_0_BRANCH
  initial package
